## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 7;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by go2rpm 1.5.0
%bcond_without check

# https://github.com/cucumber/godog
%global goipath         github.com/cucumber/godog
Version:                0.12.1

%gometa

%global common_description %{expand:
Cucumber for golang.}

%global golicenses      LICENSE
%global godocs          _examples CHANGELOG.md CHANGELOG_OLD.md\\\
                        CONTRIBUTING.md README.md release-notes/v0.10.0.md\\\
                        release-notes/v0.11.0.md release-notes/v0.12.0.md\\\
                        release-notes/v0.9.0.md


Name:           %{goname}
Release:        %autorelease
Summary:        Cucumber for golang

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/cucumber/gherkin-go/v21)
BuildRequires:  golang(github.com/cucumber/messages-go/v17)
BuildRequires:  golang(github.com/hashicorp/go-memdb)
BuildRequires:  golang(github.com/spf13/cobra)
BuildRequires:  golang(github.com/spf13/pflag)
BuildRequires:  golang(github.com/stretchr/testify/require)

%if %{with check}
# Tests
BuildRequires:  golang(github.com/smartystreets/goconvey/convey)
BuildRequires:  golang(github.com/stretchr/testify/assert)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep
sed -i 's|github.com/cucumber/gherkin-go/v19|github.com/cucumber/gherkin-go/v21|' $(find . -iname "*.go" -type f)
sed -i 's|github.com/cucumber/messages-go/v16|github.com/cucumber/messages-go/v17|' $(find . -iname "*.go" -type f)


%build
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
# ., internal/builder: needs modules support
%gocheck -d . -t internal
%endif

%files
%license LICENSE
%doc _examples CHANGELOG.md CHANGELOG_OLD.md CONTRIBUTING.md README.md
%{_bindir}/*

%gopkgfiles

%changelog
* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> 0.12.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.12.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 19 2022 Maxwell G <gotmax@e.email> 0.12.1-5
- Rebuild for
  CVE-2022-{1705,32148,30631,30633,28131,30635,30632,30630,1962} in golang

* Sat Jun 18 2022 Robert-André Mauchin <zebob.m@gmail.com> 0.12.1-4
- Rebuilt for CVE-2022-1996, CVE-2022-24675, CVE-2022-28327,
  CVE-2022-27191, CVE-2022-29526, CVE-2022-30629

* Sat Apr 16 2022 Fabio Alessandro Locati <me@fale.io> 0.12.1-3
- Rebuilt for CVE-2022-27191

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.12.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Sep 23 2021 Robert-André Mauchin <zebob.m@gmail.com> 0.12.1-1
- Update to 0.12.1 Close: rhbz#1963567

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Jan 15 18:13:08 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0.11.0-1
- Update to 0.11.0

* Sat Jul 25 19:56:44 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0.10.0-1
- Initial package

